summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Muhammad Mahendra Subrata2020-02-08 02:15:00 +0100
committer Willy Sudiarto Raharjo2020-02-08 02:15:34 +0100
commitaad87e82866f1ca5f68b2ff3f88fafe3d3c9751e (patch)
treeacb08cb9ceef64afdd9086537c71285b3b670b81
parent063a476adc15eb304a04ffc1712aea4d0d8fc43d (diff)
downloadslackbuilds-aad87e82866f1ca5f68b2ff3f88fafe3d3c9751e.tar.gz
network/mailspring: Added (Fork of Nylas mail).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/mailspring/README9
-rw-r--r--network/mailspring/doinst.sh6
-rw-r--r--network/mailspring/mailspring.SlackBuild83
-rw-r--r--network/mailspring/mailspring.info10
-rw-r--r--network/mailspring/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/network/mailspring/README b/network/mailspring/README
new file mode 100644
index 0000000000..1a4975dd51
--- /dev/null
+++ b/network/mailspring/README
@@ -0,0 +1,9 @@
+Mailspring (A beautiful, fast and maintained fork of Nylas Mail)
+
+Mailspring is a new version of Nylas Mail maintained by one of the
+original authors. It's faster, leaner, and shipping today! It replaces
+the JavaScript sync code in Nylas Mail with a new C++ sync engine based
+on Mailcore2. It uses roughly half the RAM and CPU of Nylas Mail and
+idles with almost zero "CPU Wakes", which translates to great battery
+life. It also has an entirely revamped composer and other great new
+features.
diff --git a/network/mailspring/doinst.sh b/network/mailspring/doinst.sh
new file mode 100644
index 0000000000..7b676c401a
--- /dev/null
+++ b/network/mailspring/doinst.sh
@@ -0,0 +1,6 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -q usr/share/icons/hicolor
+fi
diff --git a/network/mailspring/mailspring.SlackBuild b/network/mailspring/mailspring.SlackBuild
new file mode 100644
index 0000000000..8062919575
--- /dev/null
+++ b/network/mailspring/mailspring.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for mailspring
+#
+# Copyright 2020 Muhammad Mahendra Subrata Depok, Indonesia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mailspring
+VERSION=${VERSION:-1.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ echo "This package is currently only available for 64bit."
+ exit 1
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}-${VERSION}-${DEBARCH}.deb data.tar.xz | tar -Jxv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/${PRGNAM}/copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Don't need these:
+rm -rf $PKG/usr/share/doc $PKG/usr/share/lintian
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mailspring/mailspring.info b/network/mailspring/mailspring.info
new file mode 100644
index 0000000000..cd7994fafd
--- /dev/null
+++ b/network/mailspring/mailspring.info
@@ -0,0 +1,10 @@
+PRGNAM="mailspring"
+VERSION="1.7.2"
+HOMEPAGE="https://getmailspring.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/Foundry376/Mailspring/releases/download/1.7.2/mailspring-1.7.2-amd64.deb"
+MD5SUM_x86_64="afea1f43cf2b83c1e31966c8ddcd3ee1"
+REQUIRES=""
+MAINTAINER="Muhammad Mahendra Subrata"
+EMAIL="mumahendras3@gmail.com"
diff --git a/network/mailspring/slack-desc b/network/mailspring/slack-desc
new file mode 100644
index 0000000000..c5017d9e33
--- /dev/null
+++ b/network/mailspring/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mailspring: mailspring (a beautiful, fast and maintained fork of Nylas Mail)
+mailspring:
+mailspring: Mailspring is a new version of Nylas Mail maintained by one of the
+mailspring: original authors. It's faster, leaner, and shipping today! It replaces
+mailspring: the JavaScript sync code in Nylas Mail with a new C++ sync engine
+mailspring: based on Mailcore2. It uses roughly half the RAM and CPU of Nylas Mail
+mailspring: and idles with almost zero "CPU Wakes", which translates to great
+mailspring: battery life. It also has an entirely revamped composer and other
+mailspring: great new features.
+mailspring:
+mailspring: Homepage: https://getmailspring.com/